#####################################################
# dbprefs_cmn.pm
#
# These routines handle the globalprefs and domains
# tables.
#
# See COPYING for licensing information.
#
# Written by:
#
#   Creighton MacDonnell
#   http://macdonnell.ca/
#
#####################################################

# Perl modules
use strict;

#####################################################
# return the list of preference names
#####################################################
sub prefscmnlist {
  return (
      'RESTRICTED_USERS', 'ADD_SELF', 'REQUIRE_EMAIL', 'ALLOW_CHANGE_PASS',
      'ALLOW_CHANGE_HOSTNAME', 'ALLOW_CHANGE_DOMAIN', 'ALLOW_WILD',
      'ALLOW_MX', 'ALLOW_AUTO_URL', 'SHOW_DOMAINLIST', 'PAGE_TIMEOUT',
      'SERVER_KEY'
      );
}

#############################################################
# set uninitialised fields to default value
#############################################################
sub prefscmndflt {
  my $pref = shift;
  prefscmndfltset($pref, 'RESTRICTED_USERS',      'www,ftp,mail,ns1,ns2,dyn');
  prefscmndfltset($pref, 'ADD_SELF',              'YES');
  prefscmndfltset($pref, 'REQUIRE_EMAIL',         'YES');
  prefscmndfltset($pref, 'ALLOW_CHANGE_PASS',     'YES');
  prefscmndfltset($pref, 'ALLOW_CHANGE_HOSTNAME', 'YES');
  prefscmndfltset($pref, 'ALLOW_CHANGE_DOMAIN',   'YES');
  prefscmndfltset($pref, 'ALLOW_WILD',            'YES');
  prefscmndfltset($pref, 'ALLOW_MX',              'YES');
  prefscmndfltset($pref, 'ALLOW_AUTO_URL',        'NO');
  prefscmndfltset($pref, 'SHOW_DOMAINLIST',       'YES');
  prefscmndfltset($pref, 'PAGE_TIMEOUT',          '');
  prefscmndfltset($pref, 'SERVER_KEY',            '');
}
sub prefscmndfltset {
  my $pref  = shift;
  my $param = shift;
  my $value = shift;
  $$pref{$param} = $value if ! defined $$pref{$param};
}

#####################################################
# must return 1
#####################################################
1;

